tclap: TCLAP::Constraint< T > Class Template Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TCLAP::Constraint< T > Class Template Reference

The interface that defines the interaction between the Arg and Constraint. More...

`#include <Constraint.h>`

Inheritance diagram for TCLAP::Constraint< T >:

[legend]
List of all members.

## Public Member Functions
virtual std::string | description () const =0
| Returns a description of the Constraint.
virtual std::string | shortID () const =0
| Returns the short ID for the Constraint.
virtual bool | check (const T &value) const =0
| The method used to verify that the value parsed from the command line meets the constraint.
virtual | ~Constraint ()
| Destructor.

## Detailed Description

### template<class T>
class TCLAP::Constraint< T >

The interface that defines the interaction between the Arg and Constraint.

Definition at line 38 of file Constraint.h.

## Constructor & Destructor Documentation

template<class T>
virtual TCLAP::Constraint< T >::~Constraint | ( |  | ) | `[inline, virtual]`

| Destructor. Silences warnings about Constraint being a base class with virtual functions but without a virtual destructor. Definition at line 64 of file Constraint.h.

## Member Function Documentation

template<class T>
virtual bool TCLAP::Constraint< T >::check | ( | const T & | value | ) | const`[pure virtual]`

  | The method used to verify that the value parsed from the command line meets the constraint. Parameters:
  | value | - The value that will be checked.
Implemented in TCLAP::ValuesConstraint< T >.

template<class T>
virtual std::string TCLAP::Constraint< T >::description | ( |  | ) | const`[pure virtual]`

| Returns a description of the Constraint. Implemented in TCLAP::ValuesConstraint< T >.

template<class T>
virtual std::string TCLAP::Constraint< T >::shortID | ( |  | ) | const`[pure virtual]`

| Returns the short ID for the Constraint. Implemented in TCLAP::ValuesConstraint< T >.

The documentation for this class was generated from the following file:

- Constraint.h